Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Maven Integration (M2E) » Re: [m2eclipse-user] m2eclipse 0.9.4 candidate
Re: [m2eclipse-user] m2eclipse 0.9.4 candidate [message #9609] Fri, 30 May 2008 23:21 Go to next message
Eclipse User
Originally posted by: igor.ifedorenko.com

We just posed second 0.9.4 release candidate to the dev update site at
http://m2eclipse.sonatype.org/update-dev/

Compared to the first 0.9.4 release candidate, this build only contains
fixes to restore compatibility with Eclipse 3.2. Please give this new
build a try.

--
m2eclipse team

Eugene Kuleshov wrote:
>
> We posted m2eclipse release 0.9.4 candidate to the dev update site at
> http://m2eclipse.sonatype.org/update-dev/
>
> The most significant changes are around default project configuration
> (there is no /target-eclipse folder anymore) and Maven settings [1].
> User settings location is now not editable and it is always taken from
> ~/.m2/settings.xml (same as for Maven CLI) and global settings either
> taken from specified location (similarly to -s option in Maven CLI), or
> if not specified and External Maven installation is chosen as default,
> then settings are taken from its conf/settings.xml. Everything working
> the same way as in Maven CLI.
>
> You can see new features and improvements on New and Noteworthy page
> [2] and list of fixed bugs in JIRA [3].
>
> We will appreciate if you'd try this and give us feedback. If there
> won't be any major issues we are planning to release 0.9.4 version on
> Monday.
>
> regards,
> Eugene
>
> [1] http://docs.codehaus.org/display/M2ECLIPSE/Maven+Settings
> [2] http://docs.codehaus.org/display/M2ECLIPSE/New+and+Noteworth y
> [3] http://tinyurl.com/6rutmz
>
m2eclipse 0.9.4 released [message #9633 is a reply to message #9609] Wed, 04 June 2008 16:49 Go to previous messageGo to next message
Eugene Kuleshov is currently offline Eugene Kuleshov
Messages: 505
Registered: July 2009
Senior Member
We glad to announce 0.9.4 release of m2eclipse.

The most notable changes in this release are: is extensible project
configuration framework [1] (m2eclipse provides project configurators
for AJDT, WTP and maven-eclipse-plugin) and POM XML editor with
templates and Maven artifact completion.

You can see more details for new features and improvements on New and
Noteworthy page [2] and list of fixed bugs in JIRA [3].

As before, m2eclipse can be installed from the update site at
http://m2eclipse.sonatype.org/update/

We also would like to thank everyone who helped us with this release,
including early feedback, bug reports, test projects and discussions in
the mailing list and the news group. Special thanks to new committer
Lukáš Křečan for his work on POM XML editor.

m2eclipse team

[1]
http://docs.codehaus.org/display/M2ECLIPSE/Extensible+projec t+configuration+framework
[2] http://docs.codehaus.org/display/M2ECLIPSE/New+and+Noteworth y
[3] http://tinyurl.com/6rutmz
Re: m2eclipse 0.9.4 released [message #9656 is a reply to message #9633] Thu, 05 June 2008 11:37 Go to previous messageGo to next message
Eclipse User
Originally posted by: ossipetz.myrealbox.com

Hallo

thanks for the next version :)

what decision was made concerning the java version required for 0.9.4?

http://docs.codehaus.org/display/M2ECLIPSE/Requirements still states 1.4
but on the m2eclipse mailinglist it was mentioned java 1.5 is a must.
(so proects based on 1.4 should stick with 0.9.3?)

thanks :)




Eugene Kuleshov schrieb:
>
> We glad to announce 0.9.4 release of m2eclipse.
>
> The most notable changes in this release are: is extensible project
> configuration framework [1] (m2eclipse provides project configurators
> for AJDT, WTP and maven-eclipse-plugin) and POM XML editor with
> templates and Maven artifact completion.
>
> You can see more details for new features and improvements on New and
> Noteworthy page [2] and list of fixed bugs in JIRA [3].
>
> As before, m2eclipse can be installed from the update site at
> http://m2eclipse.sonatype.org/update/
>
> We also would like to thank everyone who helped us with this release,
> including early feedback, bug reports, test projects and discussions in
> the mailing list and the news group. Special thanks to new committer
> Lukáš Křečan for his work on POM XML editor.
>
> m2eclipse team
>
> [1]
> http://docs.codehaus.org/display/M2ECLIPSE/Extensible+projec t+configuration+framework
>
> [2] http://docs.codehaus.org/display/M2ECLIPSE/New+and+Noteworth y
> [3] http://tinyurl.com/6rutmz
>
Re: m2eclipse 0.9.4 released [message #9678 is a reply to message #9656] Thu, 05 June 2008 13:05 Go to previous messageGo to next message
Eugene Kuleshov is currently offline Eugene Kuleshov
Messages: 505
Registered: July 2009
Senior Member
ossipetz wrote:
> what decision was made concerning the java version required for 0.9.4?
Starting from 0.9.4, m2eclipse require Eclipse to run on Java 5.
> http://docs.codehaus.org/display/M2ECLIPSE/Requirements still states
> 1.4 but on the m2eclipse mailinglist it was mentioned java 1.5 is a
> must.
Thanks for catching that. I've updated wiki page to clarify required
Java runtime.
> (so proects based on 1.4 should stick with 0.9.3?)
Not really. You need to run Eclipse on Java 5, but you can add any JRE
in your Eclipse at Window / Preference... / Java / Installed JREs and
you can have non-Java 5 JRE set as default there or in your projects
configurations (actually in maven-compiler-plugin settings in pom.xmls
if you will be using Maven project configurators).

regards,
Eugene
Re: m2eclipse 0.9.4 released [message #9699 is a reply to message #9678] Fri, 06 June 2008 11:45 Go to previous messageGo to next message
Eclipse User
Originally posted by: ossipetz.myrealbox.com

Hallooo

thanks for the reply. i think the mentioned configuration does not work
(eclipse 3.3 started with java 5 jdk, m2eclipse 0.9.3, one jdk 1.4
configured in eclipse)

i run into a class version exception:

java.lang.UnsupportedClassVersionError:
org/apache/maven/artifact/resolver/AbstractArtifactResolutio nException
(Unsupported major.minor version 49.0)
at java.lang.ClassLoader.defineClass0(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
at java.security.SecureClassLoader.defineClass(SecureClassLoade r.java:123)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:251)
at java.net.URLClassLoader.access$100(URLClassLoader.java:55)
at java.net.URLClassLoader$1.run(URLClassLoader.java:194)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:187)
at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:274 )
at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302 )
at
org.apache.maven.cli.MavenCli.buildEmbedderConfiguration(Mav enCli.java:204)
at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:138)
at org.apache.maven.cli.MavenCli.main(MavenCli.java:63)
at org.apache.maven.cli.MavenCli.main(MavenCli.java:52)
Exception in thread "main"


as soon as the project is configured with a jdk 1.5 things work. should
i try to make an example project and report it in jira or is it kinda
obvious whats going on?


thanks a lot

op





Eugene Kuleshov schrieb:
> ossipetz wrote:
>> what decision was made concerning the java version required for 0.9.4?
> Starting from 0.9.4, m2eclipse require Eclipse to run on Java 5.
>> http://docs.codehaus.org/display/M2ECLIPSE/Requirements still states
>> 1.4 but on the m2eclipse mailinglist it was mentioned java 1.5 is a
>> must.
> Thanks for catching that. I've updated wiki page to clarify required
> Java runtime.
>> (so proects based on 1.4 should stick with 0.9.3?)
> Not really. You need to run Eclipse on Java 5, but you can add any JRE
> in your Eclipse at Window / Preference... / Java / Installed JREs and
> you can have non-Java 5 JRE set as default there or in your projects
> configurations (actually in maven-compiler-plugin settings in pom.xmls
> if you will be using Maven project configurators).
>
> regards,
> Eugene
>
Re: m2eclipse 0.9.4 released [message #9712 is a reply to message #9699] Fri, 06 June 2008 12:59 Go to previous messageGo to next message
Eugene Kuleshov is currently offline Eugene Kuleshov
Messages: 505
Registered: July 2009
Senior Member
Hi,

I am guessing that you are referring to launching Maven for some
project configured to use Java 1.4? If so, please open jira issue for
that. You can skip the test project, but it won't hurt to have it, so we
all will be on the same page.

The issue is that m2eclipse is currently trying to use the same Java
version as configured for project to launch Maven. Unfortunately that
autodetection doesn't work well since Maven 2.1 now requires Java 5.

As a workaround you can manually create Maven launch configuration and
explicitly specify Java 5 there. Though it is currently not possible to
do that for predefined "Run As... / Maven..." shortcuts.

regards,
Eugene


ossipetz wrote:
> thanks for the reply. i think the mentioned configuration does not
> work (eclipse 3.3 started with java 5 jdk, m2eclipse 0.9.3, one jdk
> 1.4 configured in eclipse)
>
> i run into a class version exception:
>
> java.lang.UnsupportedClassVersionError:
> org/apache/maven/artifact/resolver/AbstractArtifactResolutio nException
> (Unsupported major.minor version 49.0)
> at java.lang.ClassLoader.defineClass0(Native Method)
> at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
> ...
> at
> org.apache.maven.cli.MavenCli.buildEmbedderConfiguration(Mav enCli.java:204)
>
> at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:138)
> at org.apache.maven.cli.MavenCli.main(MavenCli.java:63)
> at org.apache.maven.cli.MavenCli.main(MavenCli.java:52)
> Exception in thread "main"
>
> as soon as the project is configured with a jdk 1.5 things work.
> should i try to make an example project and report it in jira or is it
> kinda obvious whats going on?
>
> thanks a lot
>
> op
m2eclipse 0.9.5 released [message #11533 is a reply to message #9609] Fri, 18 July 2008 21:31 Go to previous message
Eugene Kuleshov is currently offline Eugene Kuleshov
Messages: 505
Registered: July 2009
Senior Member
We are glad to announce 0.9.5 release of m2eclipse, which can be
installed from the update site at http://m2eclipse.sonatype.org/update/

This release includes number of bug fixes and the most notable new
feature is the form-based editor for Maven pom.xml. You can see more
details for new features and improvements on New and Noteworthy page [1]
and list of fixed bugs in JIRA [2].

Please note that POM editor is still in an incubation state and may
have some glitches, but we believe it is already solid enough for a
daily use. Here is a few examples of the features provided by the POM
editor:

* support of the full POM schema, including Maven profiles
* integrated code assistance and Maven repository search for Maven artifacts
* hyperlinking between POMs, including dependencies, plugins, parent
POM, etc.
* hyperlinking to the artifacts and Maven plugin project pages
* hyperlinking to xml configuration for Maven plugins from the form
* interactive dependency hierarchy and dependency graph viewers
* viewing effective pom for any Maven POM
* viewing POMs from local Maven repository, as well as from
CVS, SVN and other sources in the IDE

There is a known issue when form is not updated after making changes
on the XML source tab and it can be worked around by using "Refresh"
action from the top right hand corner of the POM editor.

We also would like to thank everyone who helped us with this release,
including early feedback, bug reports, test projects, discussions in
the mailing list and the news group. We appreciate all of it, but
especially the time it takes to create test projects, etc. that allow us
to reproduce a bug. As always, bug reports and feature requests are
welcome in the project issue tracker [3].

m2eclipse team

[1] http://docs.codehaus.org/display/M2ECLIPSE/New+and+Noteworth y
[2] http://tinyurl.com/59cb58
[3] http://jira.codehaus.org/browse/MNGECLIPSE
Previous Topic:Maven-Plugin for offline-installation?
Next Topic:stable dev build 0.9.5.20080627-1151 is published
Goto Forum:
  


Current Time: Thu Apr 17 03:42:24 EDT 2014

Powered by FUDForum. Page generated in 0.01733 seconds